> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deposit Channels

> Retrieve a list of available deposit channels.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/banking/channels
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/banking/channels:
    get:
      tags:
        - Deposits
      summary: Get Deposit Channels
      description: Retrieve a list of available deposit channels.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    channels:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          max:
                            type: integer
                          min:
                            type: integer
                          currency:
                            type: string
                          countryCurrency:
                            type: string
                          status:
                            type: string
                          feeLocal:
                            type: integer
                          createdAt:
                            type: string
                            format: date-time
                          vendorId:
                            type: string
                          country:
                            type: string
                          feeUSD:
                            type: integer
                          channelType:
                            type: string
                          rampType:
                            type: string
                          updatedAt:
                            type: string
                            format: date-time
                          apiStatus:
                            type: string
                          settlementType:
                            type: string
                          estimatedSettlementTime:
                            type: integer
                        required:
                          - id
                          - max
                          - min
                          - currency
                          - countryCurrency
                          - status
                          - feeLocal
                          - createdAt
                          - vendorId
                          - country
                          - feeUSD
                          - channelType
                          - rampType
                          - updatedAt
                          - apiStatus
                          - settlementType
                          - estimatedSettlementTime
                    networks:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: string
                          name:
                            type: string
                          status:
                            type: string
                          country:
                            type: string
                          currency:
                            type: string
                          accountNumberType:
                            type: string
                          countryAccountNumberType:
                            type: string
                          channelIds:
                            type: array
                            items:
                              type: string
                          code:
                            type: string
                          createdAt:
                            type: string
                            format: date-time
                          updatedAt:
                            type: string
                            format: date-time
                        required:
                          - id
                          - name
                          - status
                          - country
                          - currency
                          - accountNumberType
                          - countryAccountNumberType
                          - channelIds
                          - code
                          - createdAt
                          - updatedAt
                  required:
                    - channels
                    - networks
              example:
                USDC:
                  channels:
                    - id: usdc-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 0
                      currency: USDC
                      status: active
                      channelType: crypto
                      rampType: deposit
                  networks:
                    - id: eth-sepolia-network-id-bullring-finance
                      name: Ethereum Sepolia
                      status: active
                      country: US
                      currency: USDC
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - usdc-channel-id-bullring-finance
                      code: ETH-SEPOLIA
                    - id: sol-devnet-network-id-bullring-finance
                      name: Solana Devnet
                      status: active
                      country: US
                      currency: USDC
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - usdc-channel-id-bullring-finance
                      code: SOL-DEVNET
                USD:
                  channels:
                    - max: 1500000000000000000
                      currency: USD
                      status: active
                      min: 0
                      channelType: bank
                      rampType: deposit
                      id: usd-channel-id-bullring-finance
                  networks: []
                USDT:
                  channels:
                    - id: usdt-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 0
                      currency: USDT
                      status: active
                      channelType: crypto
                      rampType: deposit
                  networks:
                    - id: eth-sepolia-network-id-bullring-finance
                      name: Ethereum Sepolia
                      status: active
                      country: US
                      currency: USDT
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - usdt-channel-id-bullring-finance
                      code: ETH-SEPOLIA
                    - id: sol-devnet-network-id-bullring-finance
                      name: Solana Devnet
                      status: active
                      country: US
                      currency: USDT
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - usdt-channel-id-bullring-finance
                      code: SOL-DEVNET
                BTC:
                  channels:
                    - id: btc-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 0
                      currency: BTC
                      status: active
                      channelType: lightning
                      rampType: deposit
                  networks:
                    - id: bitcoin-network-id-bullring-finance
                      name: Lightning Network
                      status: active
                      country: US
                      currency: BTC
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - btc-channel-id-bullring-finance
                      code: BTC
                NGN:
                  channels:
                    - id: ngn-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 0
                      currency: NGN
                      status: active
                      channelType: bank
                      rampType: deposit
                    - id: ngn-otc-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 0
                      currency: NGN
                      status: active
                      channelType: otc
                      rampType: deposit
                  networks:
                    - id: ngn-network-id-bullring-finance
                      name: Bank
                      status: active
                      country: US
                      currency: NGN
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - ngn-channel-id-bullring-finance
                      code: NGN
                    - id: ngn-otc-network-id-bullring-finance
                      name: OTC (Over The Counter)
                      status: active
                      country: US
                      currency: NGN
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - ngn-otc-channel-id-bullring-finance
                      code: NGN
                ZMW:
                  channels:
                    - id: zmw-otc-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 5000
                      currency: ZMW
                      status: active
                      channelType: otc
                      rampType: deposit
                    - id: zmw-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 5000
                      currency: ZMW
                      status: active
                      channelType: momo
                      rampType: deposit
                  networks:
                    - id: zmw-network-id-bullring-finance
                      name: OTC (Over The Counter)
                      status: active
                      country: US
                      currency: ZMW
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - zmw-otc-channel-id-bullring-finance
                      code: ZMW
                    - id: zmw-network-id-bullring-finance
                      name: Mobile Money
                      status: active
                      country: US
                      currency: ZMW
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - zmw-channel-id-bullring-finance
                      code: ZMW
                GHS:
                  channels:
                    - id: ghs-otc-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 5000
                      currency: GHS
                      status: active
                      channelType: otc
                      rampType: deposit
                    - id: ghs-channel-id-bullring-finance
                      max: 1500000000000000000
                      min: 5000
                      currency: GHS
                      status: active
                      channelType: momo
                      rampType: deposit
                  networks:
                    - id: ghs-network-id-bullring-finance
                      name: OTC (Over The Counter)
                      status: active
                      country: US
                      currency: GHS
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - ghs-otc-channel-id-bullring-finance
                      code: GHS
                    - id: ghs-network-id-bullring-finance
                      name: Mobile Money
                      status: active
                      country: US
                      currency: GHS
                      accountNumberType: address
                      countryAccountNumberType: address
                      channelIds:
                        - ghs-channel-id-bullring-finance
                      code: GHS
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Unauthorized
                message: Invalid or missing API key
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Forbidden
                message: You do not have permission to access this resource
        '404':
          description: Not Found - Account not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
              example:
                error: Not Found
                message: Account not found
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````